Subject: [mpls-tp] Sending OAM messages to outgoing MIPs

From: Adrian Farrel <[email-masked]>
Date: Sun, 29 Nov 2009 18:21:51 +0000

Hi,

We had a bit of discussion about this in Hiroshima.

The draft below is a stake in the ground to record some ideas. If they are 
useful, please pick them up and include them in whichever draft is 
appropriate.

Thanks,
Adrian
----- Original Message ----- 
From: <[email-masked]>
To: <[email-masked]>
Sent: Sunday, November 29, 2009 4:45 PM
Subject: I-D Action:draft-farrel-mpls-tp-mip-mep-map-00.txt

>A New Internet-Draft is available from the on-line Internet-Drafts 
>directories.
>
> Title           : Handling MPLS-TP OAM Packets Targeted at Internal MIPs
> Author(s)       : A. Farrel
> Filename        : draft-farrel-mpls-tp-mip-mep-map-00.txt
> Pages           : 12
> Date            : 2009-11-29
>
> The Framework for Operations, Administration and Maintenance (OAM)
> within the MPLS Transport Profile (MPLS-TP) describes how
> Maintenance Intermediate Points (MIPs) may be situated within network
> nodes at the incoming and outgoing interfaces.
>
> This document describes a way of forming OAM messages so that they
> can be targeted at incoming MIPs and outgoing MIPs, forwarded
> correctly through the "switch fabric", and handled efficiently in
> optimized node implementations where there is no distinction between
> the incoming and outgoing MIP.
>
> The material in this document is provided for discussion within the
> MPLS-TP community in the expectation that this idea or some similar
> mechanism will be subsumed into a more general MPLS-TP OAM document.
>
> This document is a product of a joint Internet Engineering Task Force
> (IETF) / International Telecommunication Union Telecommunication
> Standardization Sector (ITU-T) effort to include an MPLS Transport
> Profile within the IETF MPLS and PWE3 architectures to support the
> capabilities and functionalities of a packet transport network.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-farrel-mpls-tp-mip-mep-map-00.txt